org.keycloak.protocol.oidc.utils

## Class OIDCRedirectUriBuilder

- java.lang.Object
- - org.keycloak.protocol.oidc.utils.OIDCRedirectUriBuilder

-     public abstract class OIDCRedirectUriBuilder
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected KeycloakUriBuilder` | `uriBuilder`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OIDCRedirectUriBuilder(KeycloakUriBuilder uriBuilder)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract OIDCRedirectUriBuilder` | `addParam(String paramName, String paramValue)`
    `abstract javax.ws.rs.core.Response` | `build()`
    `static OIDCRedirectUriBuilder` | `fromUri(String baseUri, OIDCResponseMode responseMode, KeycloakSession session, AuthenticatedClientSessionModel clientSession)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uriBuilder

          protected final KeycloakUriBuilder uriBuilder

  - ### Constructor Detail

    - #### OIDCRedirectUriBuilder

          protected OIDCRedirectUriBuilder(KeycloakUriBuilder uriBuilder)

  - ### Method Detail

    - #### addParam

          public abstract OIDCRedirectUriBuilder addParam(String paramName,
                                                          String paramValue)

    - #### build

          public abstract javax.ws.rs.core.Response build()

    - #### fromUri

          public static OIDCRedirectUriBuilder fromUri(String baseUri,
                                                       OIDCResponseMode responseMode,
                                                       KeycloakSession session,
                                                       AuthenticatedClientSessionModel clientSession)

Copyright © 2021 JBoss by Red Hat. All rights reserved.